/*
 * @Descripttion: 
 * @version: 
 * @Author: kBank
 * @Date: 2022-11-10 09:26:08
 */
import request from '@/utils/request'

//获取办理业务手续费列表
export function getHandelWorkList(params) {
    return request({
        url: '/system/manage/service-charge/list',
        method: 'get',
        params
    })
}

//删除办理业务手续费列表
export function deletHandelWork(pkId) {
    return request({
        url: '/system/manage/service-charge/delete/' + pkId,
        method: 'get',
    })
}

//获取单条办理业务手续费列表
export function getOneHandelWorkList(pkId) {
    return request({
        url: '/system/manage/service-charge/detail/' + pkId,
        method: 'get',
    })
}

//新增办理业务手续费列表
export function saveHandleWork(data) {
    return request({
        url: '/system/manage/service-charge/save',
        method: 'post',
        data
    })
}

//修改办理业务手续费列表
export function updateHandleWork(data) {
    return request({
        url: '/system/manage/service-charge/update',
        method: 'post',
        data
    })
}

//业务名称下拉选枚举
export function getApprobalBusiness(params) {
    return request({
        url: '/system/pub/enums/approval-business',
        method: 'get',
        params
    })
}

//币种选择枚举
export function getPubEnumsAccount(params) {
    return request({
        url: '/system/manage/account/pkBdAccountList',
        method: 'get',
        params
    })
}
